%define module	Tie-Cache
%define version 0.17
%define release %mkrel 5

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__perl} -p -i -e 's|/usr/local/bin|/usr/bin|g;' Cache.pm
%{__make}

%check
%{__make} test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# Fix bogus dependency on Tie::Cache::LRU:
rm -f $RPM_BUILD_ROOT%perl_vendorlib/Tie/bench.pl

%files
%defattr(-,root,root)
%doc CHANGES README
%{_mandir}/*/*
%{perl_vendorlib}/Tie


%changelog
* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.17-5mdv2007.0
+ Revision: 108429
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Tie-Cache



* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-4mdk
- Rebuild, cleanup

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.17-3mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.17-2mdk
- rebuild for new auto{prov,req}

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 0.17-1mdk
- 0.17.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.15-4mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.15-3mdk
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.15-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 0.15-1mdk
- 0.15.
- updated license.
- removed filelist, now use globing and macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.08-3mdk
- Remove the Distribution and Vendor tag.
- Rebuild for the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.08-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.08-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.08-1mdk
- Macroize package
